Bug 800036 - (CVE-2011-1103) CVE-2011-1103 notmuch: tag information disclosure flaw
CVE-2011-1103 notmuch: tag information disclosure flaw
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120203,repor...
: Security
Depends On: 800037
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-05 11:24 EST by Vincent Danen
Modified: 2016-09-19 22:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-03-05 11:24:22 EST
It was found that in versions of notmuch prior to 0.11.1, certain input passed via MML tags were not properly sanitized in notmuch-mua.el before being used.  If a user used the Emacs interface, this could be exploited to attach arbitrary local files that the victim has permission to read, to outgoing messages, if the victim were tricked into replying to a message containing a specially-crafted MML tag.  This was due to the Emacs interface not quoting these tags in the reply text, which it now does [1].

[1] http://git.notmuchmail.org/git/notmuch/commit/ae438ccd8c77831158c7c30f19710d798ee4a6b4
Comment 1 Fedora Update System 2012-03-16 17:25:01 EDT
notmuch-0.11.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 2 Fedora Update System 2012-03-17 19:34:54 EDT
notmuch-0.6.1-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2012-03-17 19:53:56 EDT
notmuch-0.5-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.